## unearth 0.5.0+ds

=== debian/changelog ===
unearth (0.5.0+ds-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Sat, 09 Jul 2022 15:12:10 -0400

unearth (0.4.1+ds-1) unstable; urgency=medium

  * Initial release. (Closes: #1014251)

 -- Boyuan Yang <byang@debian.org>  Sat, 02 Jul 2022 17:02:18 -0400

=== debian/watch ===
version=4
opts="uversionmangle=s/a\d//,filenamemangle=s%(?:.*?)?v?(\d[\d.]*@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
 https://github.com/frostming/unearth/tags \
 (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@

## unearth 0.7.2+ds

=== docs/requirements.txt ===
furo
sphinx
myst-parser
sphinx-copybutton
sphinx-argparse
.

## unearth 0.5.1+ds

=== debian/changelog ===
unearth (0.5.1+ds-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Sun, 17 Jul 2022 10:50:50 -0400

=== debian/control ===
Source: unearth
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Boyuan Yang <byang@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3,
 python3-pdm-pep517,
 python3-packaging,
 python3-pytest <!nocheck>,
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: https://github.com/frostming/unearth
Vcs-Git: https://salsa.debian.org/python-team/packages/unearth.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/unearth

Package: python3-unearth
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
 python3-packaging,
 python3-requests,
Description: utility to fetch and download python packages
 This package provides a utility to fetch and download python packages.
 It exists as the last piece to complete the puzzle of a package manager,
 and provide low-level functionalities that are needed to resolve
 and install packages.
 .
 Unearth serves as a stable replacement for pip's PackageFinder API.
 It will follow the conventions of Semantic Versioning so that
 downstream projects can use it to develop their own package
 finding and downloading.

## unearth 0.5.2+ds

=== debian/changelog ===
unearth (0.5.2+ds-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Thu, 21 Jul 2022 11:14:32 -0400

## unearth 0.6.1+ds

=== debian/changelog ===
unearth (0.6.1+ds-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: Add new test-build-dep python3-trustme.
  * debian/patches/: Add patch to hardcode version to circumvent
    invalid scm version retrieval for now.

 -- Boyuan Yang <byang@debian.org>  Wed, 03 Aug 2022 16:29:29 -0400

## unearth 0.6.2+ds

=== debian/changelog ===
unearth (0.6.2+ds-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Thu, 24 Nov 2022 16:36:56 -0500

=== debian/control ===
--- 
+++ 
@@ -12,6 +12,7 @@
  python3-pdm-pep517,
  python3-packaging,
  python3-pytest <!nocheck>,
+ python3-trustme <!nocheck>,
 Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://github.com/frostming/unearth

## unearth 0.6.3+ds

=== debian/changelog ===
unearth (0.6.3+ds-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Sun, 11 Dec 2022 14:28:57 -0500

## unearth 0.7.2+ds

=== debian/changelog ===
unearth (0.7.2+ds-2) unstable; urgency=medium

  * New upstream release. (Closes: #1027662)

 -- Boyuan Yang <byang@debian.org>  Wed, 11 Jan 2023 12:40:56 -0500

unearth (0.7.0+ds-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Tue, 20 Dec 2022 20:48:28 -0500

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
  python3-packaging,
  python3-pytest <!nocheck>,
  python3-trustme <!nocheck>,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/frostming/unearth
 Vcs-Git: https://salsa.debian.org/python-team/packages/unearth.git

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
	# Disabled due to bundled test artifact being stripped

## unearth 0.9.1+ds

=== docs/requirements.txt ===
furo
sphinx
myst-parser
sphinx-copybutton
sphinx-argparse
importlib-metadata ; python_version < "3.8"
.

=== debian/changelog ===
unearth (0.9.1+ds-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Tue, 13 Jun 2023 09:44:03 -0400

unearth (0.8.1+ds-1~exp1) experimental; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Thu, 23 Mar 2023 14:11:45 -0400

## unearth 0.9.2+ds1

=== debian/changelog ===
unearth (0.9.2+ds1-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Tue, 11 Jul 2023 12:13:23 -0400

=== debian/control ===
--- 
+++ 
@@ -9,8 +9,8 @@
  dh-sequence-python3,
  pybuild-plugin-pyproject,
  python3,
+ python3-packaging,
  python3-pdm-pep517,
- python3-packaging,
  python3-pytest <!nocheck>,
  python3-trustme <!nocheck>,
 Standards-Version: 4.6.2
@@ -22,10 +22,10 @@
 Package: python3-unearth
 Architecture: all
 Depends:
+ python3-packaging,
+ python3-requests,
  ${misc:Depends},
  ${python3:Depends},
- python3-packaging,
- python3-requests,
 Description: utility to fetch and download python packages
  This package provides a utility to fetch and download python packages.
  It exists as the last piece to complete the puzzle of a package manager,

## unearth 0.11.0+ds

=== debian/changelog ===
unearth (0.11.0+ds-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Tue, 26 Sep 2023 14:25:55 -0400

unearth (0.10.0+ds1-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: Switch to use python3-pdm-backend as building
    backend.
  * debian/rules: Enable tests, but allow failure.
  * debian/control: Add new build-dep python3-flask <!nocheck>.

 -- Boyuan Yang <byang@debian.org>  Tue, 19 Sep 2023 20:32:13 -0400

## unearth 0.14.0%2Bds

=== debian/changelog ===
unearth (0.14.0+ds-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Thu, 18 Jan 2024 20:25:24 -0500

unearth (0.12.1+ds-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Sun, 26 Nov 2023 14:39:34 -0500

## unearth 0.14.0+ds

=== debian/control ===
--- 
+++ 
@@ -10,9 +10,10 @@
  pybuild-plugin-pyproject,
  python3,
  python3-packaging,
- python3-pdm-pep517,
+ python3-pdm-backend,
  python3-pytest <!nocheck>,
  python3-trustme <!nocheck>,
+ python3-flask <!nocheck>,
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/frostming/unearth

=== debian/watch ===
version=4
opts="dversionmangle=auto,uversionmangle=s/a\d//,filenamemangle=s%(?:.*?)?v?(\d[\d.]*@ARCHIVE_EXT@)%@PACKAGE@-$1%,oversionmangle=s/(.*)/$1+ds/" \
 https://github.com/frostming/unearth/tags \
 (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@

## unearth 0.15.2+ds

=== debian/changelog ===
unearth (0.15.2+ds-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Mon, 29 Apr 2024 18:03:55 -0400

unearth (0.15.1+ds-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Sat, 06 Apr 2024 10:43:24 -0400

unearth (0.15.0+ds-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Fri, 22 Mar 2024 09:19:26 -0400

=== debian/control ===
--- 
+++ 
@@ -9,9 +9,11 @@
  dh-sequence-python3,
  pybuild-plugin-pyproject,
  python3,
+ python3-httpx,
  python3-packaging,
  python3-pdm-backend,
  python3-pytest <!nocheck>,
+ python3-pytest-mock <!nocheck>,
  python3-trustme <!nocheck>,
  python3-flask <!nocheck>,
 Standards-Version: 4.6.2
@@ -24,9 +26,11 @@
 Architecture: all
 Depends:
  python3-packaging,
- python3-requests,
+ python3-httpx,
  ${misc:Depends},
  ${python3:Depends},
+Recommends:
+ python3-requests,
 Description: utility to fetch and download python packages
  This package provides a utility to fetch and download python packages.
  It exists as the last piece to complete the puzzle of a package manager,

## unearth 0.15.3+ds

=== debian/changelog ===
unearth (0.15.3+ds-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Sat, 01 Jun 2024 23:00:34 -0400

## unearth 0.15.4+ds

=== debian/changelog ===
unearth (0.15.4+ds-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Sat, 08 Jun 2024 19:11:52 -0400

## unearth 0.15.5+ds

=== debian/changelog ===
unearth (0.15.5+ds-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Sun, 30 Jun 2024 18:54:44 -0400

## unearth 0.16.0+ds

=== debian/changelog ===
unearth (0.16.0+ds-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Fri, 05 Jul 2024 16:04:39 -0400

## unearth 0.16.1

=== debian/changelog ===
unearth (0.16.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/watch: Drop custom +ds suffix.
  * debian/patches/: Drop hardcoded version patch, dh-python now
    supports the dynamic version.

 -- Boyuan Yang <byang@debian.org>  Sun, 14 Jul 2024 14:28:38 -0400

## unearth 0.17.2

=== debian/changelog ===
unearth (0.17.2-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Sun, 08 Sep 2024 16:32:22 -0400

unearth (0.17.1-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Sat, 24 Aug 2024 09:57:27 -0400

## unearth 0.17.3

=== debian/changelog ===
unearth (0.17.3-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Fri, 21 Mar 2025 23:55:32 -0400

## unearth 0.17.5

=== debian/changelog ===
unearth (0.17.5-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Sat, 12 Apr 2025 20:59:17 -0400

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
  python3-pytest-mock <!nocheck>,
  python3-trustme <!nocheck>,
  python3-flask <!nocheck>,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://github.com/frostming/unearth
 Vcs-Git: https://salsa.debian.org/python-team/packages/unearth.git

## unearth 0.18.1

=== debian/changelog ===
unearth (0.18.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: Bump Standards-Version to 4.7.2.

 -- Boyuan Yang <byang@debian.org>  Sun, 19 Oct 2025 11:16:12 -0400

=== debian/control ===
Source: unearth
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Boyuan Yang <byang@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3,
 python3-httpx,
 python3-packaging,
 python3-pdm-backend,
 python3-pytest <!nocheck>,
 python3-pytest-mock <!nocheck>,
 python3-trustme <!nocheck>,
 python3-flask <!nocheck>,
Standards-Version: 4.7.2
Rules-Requires-Root: no
Homepage: https://github.com/frostming/unearth
Vcs-Git: https://salsa.debian.org/python-team/packages/unearth.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/unearth
Description: utility to fetch and download python packages
 This package provides a utility to fetch and download python packages.
 It exists as the last piece to complete the puzzle of a package manager,
 and provide low-level functionalities that are needed to resolve
 and install packages.
 .
 Unearth serves as a stable replacement for pip's PackageFinder API.
 It will follow the conventions of Semantic Versioning so that
 downstream projects can use it to develop their own package
 finding and downloading.

Package: python3-unearth
Architecture: all
Depends:
 python3-packaging,
 python3-httpx,
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 python3-requests,
Description: ${source:Synopsis}
 ${source:Extended-Description}

=== debian/rules ===
--- 
+++ 
@@ -8,3 +8,4 @@
 
 override_dh_auto_test:
 	# Disabled due to bundled test artifact being stripped
+	-dh_auto_test

=== debian/watch ===
version=4
opts="dversionmangle=auto,uversionmangle=s/a\d//,filenamemangle=s%(?:.*?)?v?(\d[\d.]*@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
 https://github.com/frostming/unearth/tags \
 (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@

## unearth 0.18.2

=== debian/changelog ===
unearth (0.18.2-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Mon, 29 Dec 2025 12:52:32 -0500

=== debian/control ===
--- 
+++ 
@@ -16,8 +16,7 @@
  python3-pytest-mock <!nocheck>,
  python3-trustme <!nocheck>,
  python3-flask <!nocheck>,
-Standards-Version: 4.7.2
-Rules-Requires-Root: no
+Standards-Version: 4.7.3
 Homepage: https://github.com/frostming/unearth
 Vcs-Git: https://salsa.debian.org/python-team/packages/unearth.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/unearth
